POST
/
v1
/
teams
/
{teamId}
/
personas
/
voices
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.personas.addPersonaVoice({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  body: {},
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "providerVoiceId": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "labels": {},
  "language": "<string>",
  "providerCategory": "<string>",
  "isAvailable": true,
  "isPersonaSelectable": true,
  "personaCatalogKey": "<string>",
  "personaCatalogOrder": 123,
  "previewStoragePath": "<string>",
  "previewContentHash": "<string>",
  "lastSyncedAt": "<string>",
  "lastSyncErrorAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Body

application/json
providerVoiceId
string
required

a string at most 80 character(s) long

Required string length: 8 - 80

Response

Success

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
providerVoiceId
string
required

a string at most 512 character(s) long

Required string length: 1 - 512
displayName
string
required

a string at most 512 character(s) long

Required string length: 1 - 512
description
string | null
required

a string at most 10000 character(s) long

Required string length: 1 - 10000
labels
object
required
language
string | null
required
providerCategory
string | null
required
isAvailable
boolean
required
isPersonaSelectable
boolean
required

Deprecated: always true. Every voice listed for a team is selectable.

personaCatalogKey
string | null
required

Deprecated: always null.

personaCatalogOrder
integer | null
required

Deprecated: always null.

previewStoragePath
string | null
required
previewContentHash
string | null
required
lastSyncedAt
string
required
lastSyncErrorAt
string | null
required